# ``twisted`.`internet`.`_resolver`.`SimpleResolverComplexifier``

class documentation

`class SimpleResolverComplexifier: (source)`

Implements interfaces: `twisted.internet.interfaces.IHostnameResolver`

View In Hierarchy

A converter from `IResolverSimple` to `IHostnameResolver`.

Method | `__init__` | Construct a `SimpleResolverComplexifier` with an `IResolverSimple`.
Method | `resolveHostName` | See `IHostnameResolver.resolveHostName`
Class Variable | `_log` | Undocumented
Instance Variable | `_simpleResolver` | Undocumented

def __init__(self, simpleResolver): (source)
Construct a `SimpleResolverComplexifier` with an `IResolverSimple`.
def resolveHostName(self, resolutionReceiver, hostName, portNumber=0, addressTypes=None, transportSemantics='TCP'): (source)
from `twisted.internet.interfaces.IHostnameResolver`
See `IHostnameResolver.resolveHostName`

Parameters
resolutionReceiver | see interface
hostName | see interface
portNumber | see interface
addressTypes | see interface
transportSemantics | see interface
Returns
see interface

_log = (source)

Undocumented

_simpleResolver = (source)

Undocumented